Create collection
Create a new collection in the workspace.
This endpoint creates a collection with the specified name. Collections are used to organize scenes and manage permissions.
Use cases:
- Organizing scenes by project, team, or topic
- Automating collection creation for onboarding flows
- Integrating with external project management tools
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.excalidraw.com/api/v1/collections" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "string",
"isDefault": true,
"workspace": "string",
"creator": "string",
"updater": "string",
"teams": [
"string"
],
"created": "2019-08-24T14:15:22Z",
"sortOrder": "string",
"name": "string",
"updated": "2019-08-24T14:15:22Z",
"isDeleted": true,
"emoji": {
"id": "string",
"native": "string",
"unified": "string"
},
"deletedAt": 0
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}Last updated on